

{ config,
  nixosConfig,
  pkgs,
  inputs,
  home-manager,
  ... }:

{

  imports = [
     #inputs.nix-index-db.hmModules.nix-index
  ];

  # systemd.user.services.mailsync = {

  #}
  home.packages = with pkgs; [
    steam
    networkmanagerapplet
    activitywatch
    ngspice
    hugo
    kicad
    okular
    mupdf
    libreoffice
    hunspell
    hunspellDicts.en_US
    cider
    foot
    prismlauncher
    firefox
    librewolf
    neomutt
    dunst
    pass
    isync
    msmtp
    notmuch
    kitty
    lynx
    playerctl
    nheko
    hyprpaper
    xdg-desktop-portal-hyprland
    pavucontrol
    slurp
    grim
    wofi
    imv
    swaylock-effects
    qt5ct
    qt6ct
    mpv
    python311Packages.sympy
    python311Packages.matplotlib
    #steamvr?
    procps
    usbutils
  ];

  home.sessionVariables = {
    FOO = "BAR";

  };

  #programs.hyprland.enable = true;
  # hyprland.homeManagerModules.default
  #wayland.windowManager.hyprland.enable = true;

  home.file = {
    ".zshrc".source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/zshrc";
  };

  xdg.configFile = { 
    "dunst" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/dunst";
      recursive = true;
    };
    "eww" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/eww";
      recursive = true;
    };
    "hypr" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/hypr";
      recursive = true;
    };
    "swaylock" = {
      source = config.lib.file.mkOutOfStoreSymlink "/etc/nixos/config/swaylock";
      recursive = true;
    };
  };

  systemd.user.services = {
    mailsync = {
      Unit = {
        Description = "Syncs email";
	After = [ "network-online.target" ];
      };
      Service = {
        Type = "oneshot";
	# Dumb mutt-wizard not updating in over a year
	ExecStart = "/home/stitchynyan/.config/mutt/mutt-wizard/bin/mailsync";
	Environment =  [
	  "SASL_PATH=/run/current-system/sw/lib/sasl2" 
	  ];
      };
      Install.WantedBy = [ "default.target" ];
    };
  };

  systemd.user.timers = {
    mailsync = {
      Unit.Description = "Syncs emai";
      Timer = {
        OnBootSec = "1min";
	OnUnitActiveSec = "10min";
      };
      Install.WantedBy = [ "timers.target" ];
    };
  };


  home.pointerCursor = {
    name = "phinger-cursors";
    package = pkgs.phinger-cursors;
    gtk.enable = true;
    size = 64;
  };
  
  # Read the Docs before change
  home.stateVersion = "23.05";
  home.homeDirectory = "/home/stitchynyan";
}
